Bug 1305960 - [GSS](6.4.z) EJB timer scheduler log an Exception for an already canceled timer
Summary: [GSS](6.4.z) EJB timer scheduler log an Exception for an already canceled timer
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB   
(Show other bugs)
Version: 6.4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.9
Assignee: wfink
QA Contact: Jan Martiska
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: eap649-payload
TreeView+ depends on / blocked
 
Reported: 2016-02-09 16:48 UTC by wfink
Modified: 2017-01-17 12:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 12:56:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3320 Critical Verified [GSS](7.0.z) EJB timer scheduler log an Exception for an already canceled timer 2018-03-15 10:15 UTC
JBoss Issue Tracker WFLY-6152 Minor Closed EJB timer scheduler log an Exception for an already canceled timer 2018-03-15 10:15 UTC

Description wfink 2016-02-09 16:48:10 UTC
Description of problem:
f a timer is canceled inside of the @timeout method the scheduler will log an ERROR if the timer duration is longer than the intervall and an overlapping execution should be fired.
This is due to internal validatons.

This will not happen if the timer is canceled by an external process, here the scheduler is removed.

The log message is like this:
ERROR [org.jboss.as.ejb3] (EJB default - 2) JBAS014273: Exception running timer task for timer 00329ec2-a70f-44d6-b8f1-521ab5c3f5eb on EJB ejb30-timer.ejb30-timer.SimpleTimerBean: javax.ejb.NoSuchObjectLocalException: JBAS014469: Timer was canceled
	at org.jboss.as.ejb3.timerservice.TimerImpl.assertTimerState(TimerImpl.java:468) [jboss-as-ejb3-7.5.5.Final-redhat-3.jar:7.5.5.Final-redhat-3]
	at org.jboss.as.ejb3.timerservice.TimerImpl.isPersistent(TimerImpl.java:224) [jboss-as-ejb3-7.5.5.Final-redhat-3.jar:7.5.5.Final-redhat-3]
	at org.jboss.as.ejb3.timerservice.TimerServiceImpl.shouldRun(TimerServiceImpl.java:1080) [jboss-as-ejb3-7.5.5.Final-redhat-3.jar:7.5.5.Final-redhat-3]
	at org.jboss.as.ejb3.timerservice.task.TimerTask.run(TimerTask.java:118) [jboss-as-ejb3-7.5.5.Final-redhat-3.jar:7.5.5.Final-redhat-3]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_71]
	at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_71]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_71]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_71]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_71]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.2.Final-redhat-1.jar:2.1.2.Final-redhat-1]

Comment 1 JBoss JIRA Server 2016-02-09 16:48:33 UTC
Wolf-Dieter Fink <wolfdieter.fink@gmail.com> updated the status of jira WFLY-6152 to Coding In Progress

Comment 3 Mike McCune 2016-03-28 23:45:25 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 Jiří Bílek 2016-06-30 07:51:52 UTC
Verified with EAP 6.4.9.CP.CR2

Comment 5 Petr Penicka 2017-01-17 12:56:04 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.